iptc.hpp File Reference

Encoding and decoding of IPTC data. More...

`#include "exiv2lib_export.h"`
`#include "metadatum.hpp"`
`#include "datasets.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::Iptcdatum
| An IPTC metadatum ("dataset"), consisting of an IptcKey and a Value and methods to manipulate these. More...
class | Exiv2::IptcData
| A container for IPTC data. This is a top-level class of the Exiv2 library. More...
class | Exiv2::IptcParser
| Stateless parser class for IPTC data. Images use this class to decode and encode binary IPTC data. More...

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.

## Typedefs

typedef std::vector< Iptcdatum > | Exiv2::IptcMetadata
| Container type to hold all metadata.

## Detailed Description

Encoding and decoding of IPTC data.